Puppy Linux Discussion Forum Forum Index Puppy Linux Discussion Forum
Puppy HOME page : puppylinux.com
"THE" alternative forum : puppylinux.info
 
 FAQFAQ   SearchSearch   MemberlistMemberlist   UsergroupsUsergroups   RegisterRegister 
 ProfileProfile   Log in to check your private messagesLog in to check your private messages   Log inLog in 

The time now is Sun 26 Jan 2020, 11:44
All times are UTC - 4
 Forum index » House Training » Beginners Help ( Start Here)
Up-dated Calibre
Moderators: Flash, Ian, JohnMurga
Post new topic   Reply to topic View previous topic :: View next topic
Page 1 of 1 [4 Posts]  
Author Message
Fishy

Joined: 26 Jan 2006
Posts: 233

PostPosted: Wed 16 Oct 2019, 21:44    Post subject:  Up-dated Calibre
Subject description: Tahr64 - 6.06 Pup
 

Updated Calibre as usual but now it says QT version missing. So many different qt listing, colour me confused. Wget for the linux version of Calibre has worked great for years. Quick pet inTahr64 CE does install latest version but it has QT flaw as well.

Help please
Back to top
View user's profile Send private message 
Makoto


Joined: 03 Sep 2009
Posts: 2224
Location: Out wandering... maybe.

PostPosted: Wed 16 Oct 2019, 22:23    Post subject:  

Calibre 4.0 and later requires different/updated dependencies (it stops using Qt WebKit in favor of Qt WebEngine, for example: calibre - New in calibre 4.0). I haven't seen a comprehensive list of the requirements yet, unfortunately.

You may want to backtrack to the most recent version of Calibre 3 (3.48.0) until someone can determine exactly what needs to be updated and either update those dependencies, or release a package for Calibre 4.

Previous calibre releases (3.x)

Edit: Calibre 4 appears to not like running as root, which may well be the actual problem. I had v4.1.0 installed on my XenialPup setup, before, but reverted to 3.48.0 when it didn't work. I extracted it in a separate directory just now, so I could copy the errors that pop up when I try to run it...

calibre (main binary): Pops this error message first:
Code:
QStandardPaths: XDG_RUNTIME_DIR not set, defaulting to '/initrd/mnt/tmpfs/tmp/runtime-root'

...but proceeds to run calibre's first-time setup. Once that's done and you finish, however, it exited with a segfault.

ebook-viewer: Gives the same error as above, but with an additional complaint about running as root:
Code:
QStandardPaths: XDG_RUNTIME_DIR not set, defaulting to '/initrd/mnt/tmpfs/tmp/runtime-root'
[(numbers edited out just in case):ERROR:zygote_host_impl_linux.cc(89)] Running as root without --no-sandbox is not supported. See https://crbug.com/638180.


The last time, I tried adding --no-sandbox to the ebook-viewer commandline, but the binary then claims there's no such option. Confused

_________________
[ Puppy 4.3.1 JP, Frugal install ] * [ XenialPup 7.5, Frugal install ] * [XenialPup 64 7.5, Frugal install] * [ 4GB RAM | 512MB swap ]
In memory of our beloved American Eskimo puppy (1995-2010) and black Lab puppy (1997-2011).
Back to top
View user's profile Send private message 
rcrsn51


Joined: 05 Sep 2006
Posts: 12942
Location: Stratford, Ontario

PostPosted: Thu 17 Oct 2019, 04:08    Post subject:  

I have Calibre 4.1.0 running here under Stretch-Live.
Back to top
View user's profile Send private message 
williams2

Joined: 14 Dec 2018
Posts: 239

PostPosted: Thu 17 Oct 2019, 04:13    Post subject:  

In BionicPup64 8.0
calibre seems to run if started like this:
Code:
sudo run-as-spot calibre

see:
http://www.murga-linux.com/puppy/viewtopic.php?t=117087
One problem is that spot can not access files (ebooks) in /mnt/home/

And spot can not access ebooks or configuration files in /root or belonging to root.
Back to top
View user's profile Send private message 
Display posts from previous:   Sort by:   
Page 1 of 1 [4 Posts]  
Post new topic   Reply to topic View previous topic :: View next topic
 Forum index » House Training » Beginners Help ( Start Here)
Jump to:  

You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum
You cannot attach files in this forum
You can download files in this forum


Powered by phpBB © 2001, 2005 phpBB Group
[ Time: 0.0323s ][ Queries: 12 (0.0056s) ][ GZIP on ]